How to configure ESLint to run on Kate?

I’m new to web development and trying to configure ESLint on Kate. I’ve enabled the ESLint plugin and created the ESLint config through NPM. Every time I save the .js file, a message appears in the Output section of Kate saying that ESLint failed, could not find config file.

Using Kate v. 23.08.5 on FreeBSD.

Can anyone point me in the right direction or to an online resource that can help me solve this?

1 Like

ESLint needs to be configured separately via npm. e.g.,

npm init @eslint/config@latest

read: Getting Started with ESLint - ESLint - Pluggable JavaScript Linter

1 Like